/*
 * Copyright see arch_crc.c
 */

#define U_C(c) ((unsigned char)c)

extern char *archive;
extern char bufc[4096];

void init_crc_list(int fix);
void fix_crc_file(void);
extern int arch_load_silent;


#define STATUS_SIZE     1       /* test change size */
#define STATUS_WAIT     2       /* wait program tick before move */
#define STATUS_BADO     4       /* can not open for read, wait tick for test again */
#define STATUS_ALREADY  8       /* send_to directory have file with this name, wait delete */
#define STATUS_TSTD     16      /* test for deleted into a tick period */
#define STATUS_IOE      32      /* input/output problem while move, wait SIGHUP */
#define STATUS_BIN      64      /* file is binary, skip move */
#define STATUS_PROC     128     /* opened, found from "/proc/ *any_pid* /fd/FND" */
#define STATUS_DUPA     256     /* archive have this file, wait modify or delete */
#define STATUS_DUP_TOO  512     /* archive have this file, wait modify or delete */
#define STATUS_DONE     1024    /* end status: moved done or delete detected */

char *make_archive_name(const char *name);
int read_file_crc_tst0_out(const char *in_name, FILE *in, unsigned int *pcrc,
				int nobinary, off_t *pfs, const char *out_name,
				const char *wafopen_mode);

#define NEW_UNIQ        (STATUS_DONE*2)
int find_from_db(FILE *in, off_t filesize, char **exist, unsigned int crc);

void store_crc_file(const char *name, off_t filesize, unsigned int crc);
